/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.zy;

import com.yiring.common.core.Result;
import java.io.Serializable;
import java.util.concurrent.CompletableFuture;

/**
 * ZyHttp请求
 * @author LJ-2204
 * @date 2022/4/18
 */
public interface ZyHttpService {
    /**
     * get请求
     * @param urlString 路径
     * @param obj 参数
     * @param timeout 请求时长
     * @return json
     */
    CompletableFuture<Result<Serializable>> get(String urlString, Object obj, int timeout);

    /**
     * post请求
     * @param urlString 路径
     * @param obj 参数
     * @param timeout 请求时长
     * @return json
     */
    CompletableFuture<Result<Serializable>> post(String urlString, Object obj, int timeout);

    /**
     * put请求
     * @param urlString 路径
     * @param obj 参数
     * @param timeout 请求时长
     * @return json
     */
    CompletableFuture<Result<Serializable>> put(String urlString, Object obj, int timeout);

    /**
     * delete请求
     * @param urlString 路径
     * @param obj 参数
     * @param timeout 请求时长
     * @return json
     */
    CompletableFuture<Result<Serializable>> delete(String urlString, Object obj, int timeout);
}
